// Copyright 2022 The Pigweed Authors
//
// Licensed under the Apache License, Version 2.0 (the "License"); you may not
// use this file except in compliance with the License. You may obtain a copy of
// the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
// WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
// License for the specific language governing permissions and limitations under
// the License.
syntax = "proto3";

package pw.protobuf_compiler.pwpb_test_protos;

import "pw_protobuf_protos/field_options.proto";

message Point {
  uint32 x = 1;
  uint32 y = 2;
  string name = 3;
};

// Check that `.options` files work properly. Compare three strings, two of them
// with different `max_size` values defined in the `.options` file and the third
// with no specified `max_size`.
message OptionsFileExample {
  string thirty_two_chars = 1;
  string forty_two_chars = 2;
  string unspecified_length = 3;
};

message InlineOptionsExample {
  string ten_chars_inline = 1 [(pw.protobuf.pwpb).max_size = 10];
}
